ubuntu18.04.5安装xubuntu(安装任何软件都报这个错) 报错

Ubuntu各种衍生版本
回复
莫运镇
帖子: 16
注册时间: 2021-12-28 10:57
系统: ubuntu
送出感谢: 0
接收感谢: 0

ubuntu18.04.5安装xubuntu 报错

#1

帖子 莫运镇 » 2022-01-05 18:49

E: Can not write log (Is /dev/pts mounted?) - posix_openpt (19: No such device)
(Reading database ... 6942 files and directories currently installed.)
Preparing to unpack .../libc6_2.27-3ubuntu1.4_arm64.deb ...
dpkg: error processing archive /var/cache/apt/archives/libc6_2.27-3ubuntu1.4_arm64.deb (--unpack):
new libc6:arm64 package pre-installation script subprocess returned error exit status 2
Errors were encountered while processing:
/var/cache/apt/archives/libc6_2.27-3ubuntu1.4_arm64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

各位哥哥姐姐帮帮忙看一下是什么原因,感谢!
头像
astolia
论坛版主
帖子: 5702
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 982 次

Re: ubuntu18.04.5安装xubuntu 报错

#2

帖子 astolia » 2022-01-06 11:03

你标题我就没看懂“ubuntu18.04.5安装xubuntu”是个什么操作
你贴出来的第一行就是报错的直接原因,安装时无法写入日志。具体是执行posix_openpt函数失败,错误代码是无法找到设备。疑似/dev/pts没有被挂载。
另外同一个帖子不要在不同的版重复发,并不会增加你帖子的曝光度
莫运镇
帖子: 16
注册时间: 2021-12-28 10:57
系统: ubuntu
送出感谢: 0
接收感谢: 0

ubuntu18.04.5执行命令apt upgrade 报错

#3

帖子 莫运镇 » 2022-01-10 19:27

不仅仅是apt upgrade会错,apt-get install任何软件都会报一下错误,软件源换过了,也一样。实在没办法了

E: Can not write log (Is /dev/pts mounted?) - posix_openpt (19: No such device)
(Reading database ... 4124 files and directories currently installed.)
Preparing to unpack .../libc6_2.27-3ubuntu1.4_arm64.deb ...
debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
debconf: falling back to frontend: Readline
debconf: unable to initialize frontend: Readline
debconf: (Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/aarch64-linux-gnu/perl/5.26.1 /usr/local/share/perl/5.26.1 /usr/lib/aarch64-linux-gnu/perl5/5.26 /usr/share/perl5 /usr/lib/aarch64-linux-gnu/perl/5.26 /usr/share/perl/5.26 /usr/local/lib/site_perl /usr/lib/aarch64-linux-gnu/perl-base) at /usr/share/perl5/Debconf/FrontEnd/Readline.pm line 7.)
debconf: falling back to frontend: Teletype
dpkg: error processing archive /var/cache/apt/archives/libc6_2.27-3ubuntu1.4_arm64.deb (--unpack):
new libc6:arm64 package pre-installation script subprocess returned error exit status 2
Errors were encountered while processing:
/var/cache/apt/archives/libc6_2.27-3ubuntu1.4_arm64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
头像
astolia
论坛版主
帖子: 5702
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 982 次

Re: ubuntu18.04.5安装xubuntu(安装任何软件都报这个错) 报错

#4

帖子 astolia » 2022-01-10 21:41

恭喜,系统已经被你搞坏了,重装去
莫运镇
帖子: 16
注册时间: 2021-12-28 10:57
系统: ubuntu
送出感谢: 0
接收感谢: 0

Re: ubuntu18.04.5安装xubuntu(安装任何软件都报这个错) 报错

#5

帖子 莫运镇 » 2022-01-14 18:03

现在不是修复系统的东西,现在是制作ubuntu18.04.5的rootfs.img镜像文件,然后在安装桌面系统的时候报这个错误。软件源我已经更改过阿里云的,也是没有作用的
头像
astolia
论坛版主
帖子: 5702
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 982 次

Re: ubuntu18.04.5安装xubuntu(安装任何软件都报这个错) 报错

#6

帖子 astolia » 2022-01-14 18:09

莫运镇 写了:
2022-01-14 18:03
软件源我已经更改过阿里云的,也是没有作用的
我就奇怪了,上面那么几行报错内容,你从哪里看出来是和软件源有关了?我上面都跟你说了是什么错,还在那里瞎猜瞎蒙瞎碰是吧?
莫运镇 写了:
2022-01-14 18:03
现在不是修复系统的东西,现在是制作ubuntu18.04.5的rootfs.img镜像文件,然后在安装桌面系统的时候报这个错误。
我不知道你是从那里看到的制作方法,如果是用了chroot,那大概率是你没有将/dev/pts挂载到chroot环境里去

还有,以后提问把前因后果描述清楚,别只扔一段报错文本,减少彼此时间的浪费
莫运镇
帖子: 16
注册时间: 2021-12-28 10:57
系统: ubuntu
送出感谢: 0
接收感谢: 0

Re: ubuntu18.04.5安装xubuntu(安装任何软件都报这个错) 报错

#7

帖子 莫运镇 » 2022-01-14 20:07

好的,下次不发了
回复